#
# spec file for package libgsf (Version 1.13.99)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa aaa_base acl alsa alsa-devel atk attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig freetype2 gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz gnome-common gnome-filesystem gnome-vfs2 gnome-vfs2-devel gpm grep groff gtk2 gtkdoc gzip hal hal-devel info insserv intltool iso_ent klogd less libacl libattr libbonobo libbonobo-devel libcom_err libdrm libgcc libgcrypt libgnome libgnome-devel libgpg-error libjpeg libnscd libpng libstdc++ libtool libusb libxcrypt libxml2 libxml2-devel libxslt libzio m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openmotif-libs opensp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-libs zlib zlib-devel

Name:           libgsf
BuildRequires:  gconf2-devel glib2-devel gnome-common gtkdoc intltool libgnome-devel libxml2-devel perl-XML-Parser update-desktop-files
%define prefix	/opt/gnome
%define sysconfdir /etc/%{prefix} 
License:        LGPL
Group:          Development/Libraries/GNOME
%if %is_plus
Provides:       libgsf-1.so.1
%endif
Autoreqprov:    on
Version:        1.13.99
Release:        13.4
Summary:        GNOME Structured File Library
URL:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         libgsf-%{version}.tar.bz2
Patch0:         libgsf-1.14.1.fixes.patch
Patch1:         libgsf-opendoc-thumbnail-schema.patch
Patch2:         libgsf-transparent-thumbnails.patch
Patch3:         libgsf-vba-dump.patch
PreReq:         filesystem

%description
A library for reading and writing structured files (MS OLE and Zip, for
example).



Authors:
--------
    Jody Goldberg <jody@gnome.org>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version} %{name}-gnome = %{version} glib2-devel libxml2-devel gnome-vfs2-devel libbonobo-devel bzip2 zlib-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Jody Goldberg <jody@gnome.org>

%package doc
Summary:        Additional Package Documentation.
Group:          Development/Libraries/GNOME

%description doc
This package contains optional documentation provided in addition to
this package's base documentation.



Authors:
--------
    Jody Goldberg <jody@gnome.org>


%files doc
%defattr(-, root, root)
%{prefix}/share/gtk-doc/html/*
%package gnome
Summary:        GNOME Structured File Library
Group:          Development/Libraries/GNOME
Provides:       libgsf:%{prefix}/%_lib/libgsf-gnome-1.so.1
%if %is_plus
Provides:       libgsf-gnome-1.so.1
%endif
Requires:       %{name} = %{version}
PreReq:         filesystem gconf2

%description gnome
A library for reading and writing structured files (MS OLE and Zip, for
example).



Authors:
--------
    Jody Goldberg <jody@gnome.org>

%prep
%setup -q 
%patch0
%patch1
%patch2
%patch3

%build
glib-gettextize --force --copy
intltoolize --force --copy
aclocal
autoconf
autoheader
automake
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=%prefix \
	--libexecdir=%prefix/%_lib/libgnome-2 \
	--libdir=%prefix/%_lib \
	--mandir=%{_mandir} \
	--sysconfdir=%{sysconfdir}
make  

%install
test -z "$RPM_BUILD_ROOT" || rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1   
make -i install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL  
%find_lang %{name}
gzip -9nf $RPM_BUILD_ROOT%{_mandir}/man1/*.*
%if %is_plus
mkdir -p $RPM_BUILD_ROOT/usr/%_lib
ln -s /opt/gnome/%_lib/libgsf-1.so.113 $RPM_BUILD_ROOT/usr/%_lib/libgsf-1.so.1
ln -s /opt/gnome/%_lib/libgsf-gnome-1.so.113 $RPM_BUILD_ROOT/usr/%_lib/libgsf-gnome-1.so.1
%endif

%clean 
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%post gnome
%run_ldconfig
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/gsf-office-thumbnailer.schemas >/dev/null

%postun gnome
%run_ldconfig

%files -f %files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/%_lib/libgsf-1.so.*
%if %is_plus
/usr/%_lib/libgsf-1.so.1
%endif
%{prefix}/bin/gsf-vba-dump
# NOTE: gsf-office-thumbnailer does not require GNOME, place it here.
# Registration of thumbnailer to GNOME requires it, place it to libgsf-gnome.
%{prefix}/bin/gsf-office-thumbnailer
%doc %{_mandir}/man1/*.*

%files devel
%defattr(-, root, root)
%{prefix}/%_lib/pkgconfig/libgsf*.pc
%{prefix}/%_lib/*.*a
%{prefix}/%_lib/*.so
%{prefix}/include/libgsf-1

%files gnome
%defattr(-, root, root)
%{sysconfdir}/gconf/schemas/gsf-office-thumbnailer.schemas
%{prefix}/%_lib/libgsf-gnome-1.so.*
%if %is_plus
/usr/%_lib/libgsf-gnome-1.so.1
%endif

%changelog -n libgsf
* Thu Jun 08 2006 - jody@suse.de
- Add more mime types for OOo 1.0 thumbnailing (#176837)
- enable the vba dump utility to facilitate bug reports
- back port some of the fixes in 1.14.1
* Fri Mar 03 2006 - jpr@suse.de
- Ensure no transparent backgrounds
- Tweak OO meta data
* Thu Mar 02 2006 - jpr@suse.de
- Enable the thumbnailers
* Thu Mar 02 2006 - jpr@suse.de
- Update to 1.13.99
- thumbnailing for OO docs fixes #153130
- other changes:
  * Initial Swedish PO translation. [Debian #351382]
  * Only export symbols which are in the public headers (Win32).
  * Fix parsing xml files with &amp;
  * bump to 1.14.0 to indicate a stable release.
  * improve header versioning.
  * Add ODF thumbnail support to gsf-office-thumbnailer
  * Enable ODF meta data import/export.
  * Fix GsfOutputIConv.  [#323503]
  * Plug leak in GsfInfileZip.
* Sat Feb 04 2006 - aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 21 2005 - stbinner@suse.de
- add workaround for PLUS so that not all applications break if a
  user updates libgsf because an applications built against it
* Wed Nov 16 2005 - sbrabec@suse.cz
- Updated to version 1.13.3.
* Thu Nov 03 2005 - sbrabec@suse.cz
- Updated to version 1.13.2.
* Tue Nov 01 2005 - federico@novell.com
- Added libgsf-thumbnail-support.diff, backported from CVS HEAD.  This makes libgsf support
  the VT_CF summary property in OLE files, used to store file thumbnails.  It also adds
  a gsf-office-thumbnailer program that plugs into the GNOME thumbnailing infrastructure.
* Wed Aug 03 2005 - gekker@suse.de
- Update to version 1.12.1
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Tue Dec 07 2004 - jody@suse.de
- Update to version 1.11.1
- Fix OLE2 import problems
- Enable OLE2 property sets for beagle
* Fri Aug 20 2004 - jody@suse.de
- Updated to version 1.10.1
- Fixed major that would cause Ms Excel to corrupt files larger
  than 6.8 Meg in transation mode
* Fri May 07 2004 - clahey@suse.de
- Updated to version 1.9.0.
* Wed Apr 28 2004 - ro@suse.de
- add -fno-strict-aliasing
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Tue Oct 07 2003 - sbrabec@suse.cz
- Updated to version 1.8.2.
* Thu Jul 24 2003 - hhetter@suse.de
- fix documentation packaging
- use gnome-filesystem
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jul 01 2003 - ro@suse.de
- move documentation to /usr/share/gtk-doc
* Mon Jun 09 2003 - sbrabec@suse.cz
- Updated to version 1.8.1.
* Wed Jun 04 2003 - sbrabec@suse.cz
- Updated to version 1.8.0.
- Use gnome2-devel-packages in neededforbuild.
* Mon Jun 02 2003 - ro@suse.de
- added doc filelist to specfile
* Sun Apr 27 2003 - adrian@suse.de
- put libgsf-gnome into new sub package libgsf-gnome
* Tue Apr 08 2003 - adrian@suse.de
- update to version 1.7.2
* Sun Mar 02 2003 - meissner@suse.de
- removed cdparanoia neededforbuild requires
- fixed implicit function references (strcmp,strlen,memcmp,time)
* Thu Jan 23 2003 - meissner@suse.de
- lib -> %%_lib in filelist.
* Mon Jan 13 2003 - hhetter@suse.de
- initial SuSE package
